Системные требования для Moodle

Системные требования для Moodle
В статье рассказали о том, какие системные требования необходимы для установки и настройки системы дистанционного обучения Moodle.

Поделиться

Share on vk
Share on linkedin
Share on facebook
Share on email

Системные требования — это описание примерных характеристик, которым должен соответствовать компьютер/сервер для того, чтобы на нём могло использоваться определённое программное обеспечение.

Эти характеристики могут описывать требования как к аппаратному обеспечению (тип и частота процессора, объем оперативной памяти, объём жёсткого диска), так и к программному окружению (операционная система, наличие установленных системных компонентов и сервисов и т. п.).

Соответственно, перед установкой и настройкой системы дистанционного обучения Moodle вам необходимо ознакомиться с её системными требованиями и проверить, соответствует ли им ваш ПК.

Типы системных требований

Системные требования условно делятся на два вида: минимальные и рекомендуемые.

Минимальные системные требования — это набор самых необходимых характеристик для условий возможности запуска и работы того или иного программного продукта.

Рекомендуемые системные требования — набор характеристик, подразумевающих оптимальную работу большей части возможностей продукта.

Итак, переходим к системным требованиям для системы Moodle.

Аппаратное обеспечение

  1. Дисковое пространство > 5 Гб
  2. Процессор : двухъядерный (и более)  с частотой ядра 1 Ггц (минимально) 
  3. Оперативная память : от 1Гб и более

Подключение к сети Интернет:

  • минимальная скорость — 56 Kb/сек
  • рекомендуемая скорость — 528 Kb/сек

Для просмотра анимации, видео в формате FLV и презентаций:

  • Flash Player ActiveX;
  • Adobe Acrobat Reader или Foxit Reader.

Для просмотра видео контента:

Windows Media Player и соответствующие кодеки

Для просмотра дополнительных материалов:

  • Архиватор (WinRAR, 7zip и пр.);
  • Офисный пакет (LibreOffice, MS Office или другой);
  • Java (JRE) — для использования встроенного редактора формул.

Требования к серверу

Конечно, сейчас мы говорим о минимально поддерживаемых версиях. Разработчики Moodle рекомендуют поддерживать свое программное обеспечение и операционные системы в актуальном состоянии.

Отметим, что сейчас речь идет о требованиях для версии Moodle 3.10. Для ее установки вам нужно:

  • Обновление Moodle: Moodle 3.5 или новее
  • Версия PHP: минимальная версия PHP 7.2.0 (минимальная версия PHP увеличилась по сравнению с Moodle 3.8. Также поддерживаются PHP 7.3.x и 7.4.x.)
  • Расширение PHP mbstring (ранее оно только рекомендовалось)

Требования к базе данных

Moodle поддерживает следующие серверы баз данных:

Требования к базе данных Moodle

Опять же, номера версий — это минимальные необходимые требования. Мы рекомендуем использовать последнюю стабильную версию программного обеспечения.

Поддержка браузера

Moodle совместим с любыми веб-браузерами и соответствующими стандартам.

Поддерживаемые браузеры

 Мы регулярно тестируем Moodle со следующими браузерами:

  • Chrome
  • Firefox
  • Safari
  • Edge

Примечание: Moodle 3.10 не поддерживает Internet Explorer 11.

+В Safari 7 и ниже известны проблемы совместимости с Moodle 3.10.

Надеемся, наша статья помогла вам ознакомиться с системными требованиями для комфортной работы с Moodle. Ее версии постоянно обновляются, поэтому перед установкой мы все же рекомендуем просматривать актуальную информацию на официальном сайте системы.

Там вы найдете не только файлы для установки Moodle, но и плагины для расширения ее функционала или изменения интерфейса. К примеру, важной задачей для компании Яндекс.Деньги, с которой мы сотрудничали, являлась разработка интерфейса в корпоративном стиле. Подробнее с этим кейсом вы можете ознакомиться по ссылке.

Если хотите получать больше информации о работе команды LMS-Service самыми первыми — подписывайтесь на нашу бесплатную рассылку. Мы всегда рады поделиться своими знаниями!

Читайте больше в нашем блоге
Пролистать наверх

Заявка на бесплатную консультацию

Инструкция будет ожидать Вас на почте через несколько минут

Еще не определились с LMS и подрядчиком?

Сделайте выбор рационально и без спешки, скачав нашу пошаговую инструкцию.